// ParallelPi.cpp: определяет точку входа для консольного приложения.
//

//#include "/usr/include/libalglib/stdafx.h" //и без этого компилится
#include <stdio.h>
#include <chrono>

long long num_steps = 1000000000;
double step;

int main(int argc, char* argv[])
{
    //time_t start, stop;
    std::chrono::high_resolution_clock::time_point start, stop;
    double x, pi, sum=0.0;
    int i;
    step = 1./(double)num_steps;
    start = std::chrono::high_resolution_clock::now(); // = clock();
#pragma omp parallel for reduction(+:sum)  // для включения OMP раскомментируйте эту строчку
    for (i=0; i<num_steps; i++)
    {
        x = (i + .5)*step;
        sum = sum + 4.0/(1.+ x*x);
    }
    pi = sum*step;
    stop = std::chrono::high_resolution_clock::now(); // = clock();

    printf("The value of PI is %15.12f\n",pi);
    printf("The time to calculate PI was %f seconds\n", (float)std::chrono::duration_cast<std::chrono::milliseconds>(stop - start).count()/1000.0 );
    return 0;
}
